%global momorel 1
Name: libdmapsharing
Version: 2.9.29
Release: %{momorel}m%{?dist}
License: LGPLv2+
Source: http://www.flyn.org/projects/libdmapsharing/%{name}-%{version}.tar.gz
NoSource: 0
URL: http://www.flyn.org/projects/libdmapsharing/
Summary: A DMAP client and server library
Group: Development/Libraries
BuildRequires: pkgconfig, glib2-devel, libsoup-devel >= 2.32
BuildRequires: gdk-pixbuf2-devel, gstreamer1-plugins-base-devel
BuildRequires: pkgconfig(avahi-client) pkgconfig(avahi-glib)
BuildRequires: vala-tools libgee-devel

%description 
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

%files 
%{_libdir}/libdmapsharing-3.0.so.*
%doc AUTHORS COPYING ChangeLog README

%package devel
Summary: Libraries/include files for libdmapsharing
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.  This package provides the libraries, include files, and
other resources needed for developing applications using libdmapsharing.

%files devel
%{_libdir}/pkgconfig/libdmapsharing-3.0.pc
%{_includedir}/libdmapsharing-3.0/
%{_libdir}/libdmapsharing-3.0.so
%{_libdir}/girepository-1.0/DMAP-3.0.typelib
%{_datadir}/gtk-doc/html/libdmapsharing-3.0
%{_datadir}/gir-1.0/DMAP-3.0.gir

%package vala
Summary: Vala language bindings for libdmapsharing
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description vala
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.  This package provides the Vala language bindings for
libdmapsharing.

%files vala
%{_datadir}/vala/vapi/libdmapsharing-3.0.vapi

%prep
%setup -q

%build
%configure --disable-static --disable-tests
%make 

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libdmapsharing-3.0.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Mon Oct 06 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.9.29-1m)
- import from fedora

